### Signal

# Gio DBusConnection::closed

since: 2.26

#### Declaration

    void
    closed (
      GDBusConnection* self,
      gboolean remote_peer_vanished,
      GError* error,
      gpointer user_data
    )

#### Description

Emitted when the connection is closed.

The cause of this event can be

- If `g_dbus_connection_close()` is called. In this case `remote_peer_vanished` is set to `FALSE` and `error` is `NULL`.

- If the remote peer closes the connection. In this case `remote_peer_vanished` is set to `TRUE` and `error` is set.

- If the remote peer sends invalid or malformed data. In this case `remote_peer_vanished` is set to `FALSE` and `error` is set.

Upon receiving this signal, you should give up your reference to `connection`. You are guaranteed that this signal is emitted only once.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.26

#### Parameters

`remote_peer_vanished`

  Type: `gboolean`

  `TRUE` if `connection` is closed because the remote peer closed its end of the connection.

`error`

  Type: `GError`

  A `GError` with more details about the event or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.